package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.MwrHazMapper;
import com.goldenwater.slaj.hazard.domain.MwrHaz;
import com.goldenwater.slaj.hazard.service.IMwrHazService;

/**
 * 水利危险源 服务层实现
 */
@Service
public class MwrHazServiceImpl implements IMwrHazService {

    @Autowired
    private MwrHazMapper mwrHazMapper;

    /**
     * 查询水利危险源信息
     * @param guid 查询条件
     * @return 水利危险源信息
     */
    @Override
    public MwrHaz selectMwrHazByGuid(String guid) {
        return mwrHazMapper.selectMwrHazByGuid(guid);
    }

    /**
     * 查询水利危险源列表
     * @param mwrHaz 水利危险源查询条件
     * @return 水利危险源集合
     */
    @Override
    public List<MwrHaz> selectMwrHazList(MwrHaz mwrHaz) {
        return mwrHazMapper.selectMwrHazList(mwrHaz);
    }

    /**
     * 新增水利危险源
     * @param mwrHaz 水利危险源信息
     * @return 影响行数
     */
    @Override
    public int insertMwrHaz(MwrHaz mwrHaz) {
        return mwrHazMapper.insertMwrHaz(mwrHaz);
    }

    /**
     * 修改水利危险源
     * @param mwrHaz 水利危险源信息
     * @return 影响行数
     */
    @Override
    public int updateMwrHaz(MwrHaz mwrHaz) {
        return mwrHazMapper.updateMwrHaz(mwrHaz);
    }

    /**
     * 删除水利危险源
     * @param guid 水利危险源主键
     * @return 影响行数
     */
    @Override
    public int deleteMwrHazByGuid(String guid) {
        return mwrHazMapper.deleteMwrHazByGuid(guid);
    }

    /**
     * 批量删除水利危险源
     * @param guids 水利危险源主键数组
     * @return 影响行数
     */
    @Override
    public int deleteMwrHazByGuids(String[] guids) {
        return mwrHazMapper.deleteMwrHazByGuids(guids);
    }
}
